# Welcome to jinns' documentation

!!! tip "jinns is getting a new look!"

    This is the new documentation page for jinns v1.0.0. Checkout the API changes for all the cool changes done to the library: plot, pytree declaration via eqx.Module, notebooks, etc.

**jinns** is a Python package for physics-informed neural networks (PINNs) in the [JAX](https://jax.readthedocs.io/en/latest/) ecosystem. It provides an intuitive and flexible interface for

 * forward problem: learning a PDE solution.
 * inverse problem: learning the parameters of a PDE.
 * meta-modeling: learning a family of PDE indexed by its parameters.

# Installation

```
pip install jinns
```

Requires Python 3.11+ and JAX 0.4.31+

JAX ecosystem: jinns depends on [Equinox](https://docs.kidger.site/equinox/) and [Optax](https://optax.readthedocs.io/en/latest/).

# Examples

Navigate the tutorials and example sections of the left, with many introductory notebooks, as well as advanced examples.

# News and updates

See the [changelog page](./changelog.md) for the last updates, features and bug fixes.
